Summary: library
Name: t1lib
Version: 0.7.1-beta
Release: 1
Copyright: LGPL 
Group: Development/Libraries
Source: ftp://ftp.neuroinformatik.ruhr-uni-bochum.de/pub/software/t1lib/t1lib-0.7.1-beta.tar.gz
BuildRoot: /var/tmp/t1lib-root

%changelog

* Tue Jul 21 1998 Michael Maher <mike@redhat.com>

- built package  
 

%description
A library for generating character- and string-glyphs from Adobe Type 1
fonts under UNIX.  Uses most of the code of the X11 rasterizer
donated by IBM to the X11-project.  But some disadvantages of the 
rasterizer being included in X11 have been eliminated. 

%prep
%setup -n T1-0.7.1-beta

%build
./configure --prefix=$RPM_BUILD_ROOT/usr
make


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/include
mkdir -p $RPM_BUILD_ROOT/usr/share

make install

rm -rf $RPM_BUILD_ROOT/usr/lib/libt1.so 
rm -rf $RPM_BUILD_ROOT/usr/lib/libt1.so.0 
rm -rf $RPM_BUILD_ROOT/usr/lib/libt1x.so 
rm -rf $RPM_BUILD_ROOT/usr/lib/libt1x.so.0 

ln -s /usr/lib/libt1x.so.0.7.1 $RPM_BUILD_ROOT/usr/lib/libt1x.so 
ln -s /usr/lib/libt1x.so.0.7.1 $RPM_BUILD_ROOT/usr/lib/libt1x.so.0 
ln -s /usr/lib/libt1.so.0.7.1 $RPM_BUILD_ROOT/usr/lib/libt1.so 
ln -s /usr/lib/libt1.so.0.7.1 $RPM_BUILD_ROOT/usr/lib/libt1.so.0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes LGPL LICENSE README.t1lib-0.7-beta README.t1python doc/*.tex  
/usr/bin/
/usr/lib/
/usr/include/
/usr/share/

